grk_plugin_compress_user_callback_info Struct Reference

`#include <grok.h>`

## Public Attributes

const char * | input_file_name
bool | outputFileNameIsRelative
const char * | output_file_name
grk_cparameters * | compressor_parameters
grk_image * | image
grk_plugin_tile * | tile
grk_stream_params | stream_params
unsigned int | error_code
bool | transferExifTags

## Member Data Documentation

## compressor_parameters

grk_cparameters* grk_plugin_compress_user_callback_info::compressor_parameters

## error_code

unsigned int grk_plugin_compress_user_callback_info::error_code

## image

grk_image* grk_plugin_compress_user_callback_info::image

## input_file_name

const char* grk_plugin_compress_user_callback_info::input_file_name

## output_file_name

const char* grk_plugin_compress_user_callback_info::output_file_name

## outputFileNameIsRelative

bool grk_plugin_compress_user_callback_info::outputFileNameIsRelative

## stream_params

grk_stream_params grk_plugin_compress_user_callback_info::stream_params

## tile

grk_plugin_tile* grk_plugin_compress_user_callback_info::tile

## transferExifTags

bool grk_plugin_compress_user_callback_info::transferExifTags

The documentation for this struct was generated from the following file:

- grok.h